Set requirements due
Sandbox only — not available in Production.
Marks the specified requirement fields as due on an entity. Use this to test how your integration handles the requirements-due state.
Path Parameters
- Type: stringentity
Id requiredThe ID of the entity.
Body·
required
application/json
The requirement fields to mark as due.
- Type: array string[]fieldsrequired
The requirement fields to mark as due.
Call the List available requirements endpoint for a list of valid values.
Responses
- application/json
- application/json
- 401
Unauthorized
- 404
Entity not found
- application/json
Request Example for post/simulate/entities/{entityId}/requirements-due
curl 'https://{prefix}.api.sandbox.checkout.com/simulate/entities/ent_w4jelhppmfiufdnatam37wrfc4/requirements-due' \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"fields": [
"individual.identification.document"
]
}'
{
"entity_id": "ent_w4jelhppmfiufdnatam37wrfc4",
"previous_status": "Active",
"current_status": "requirements_due",
"requirements_due": [
"individual.identification.document"
]
}